Eclipse Rich Ajax Platform

## org.eclipse.rwt.service
Interface IServiceManager

    public interface IServiceManager

An `IServiceManager` is responsible to manage existing `IServiceHandler`s.

Since:
  1.0
See Also:
  `IServiceHandler`

Method Summary
`void` `registerServiceHandler(java.lang.String id, IServiceHandler serviceHandler)` Registers a new service handler at the service manager.
`void` `unregisterServiceHandler(java.lang.String id)` Unregisters a service handler.

Method Detail

### registerServiceHandler

    void registerServiceHandler(java.lang.String id,
                                IServiceHandler serviceHandler)

  Registers a new service handler at the service manager. Service handlers have an `id` to identify the request which are handled by the registered service handler.

  Parameters:
    `id` - the identifier of this service handler used in the URL
    `serviceHandler` - the `IServiceHandler` implementation
  See Also:
    `IServiceHandler`, `IServiceHandler.REQUEST_PARAM`

### unregisterServiceHandler

    void unregisterServiceHandler(java.lang.String id)

  Unregisters a service handler.

  Parameters:
    `id` - the identifier of this service handler
  See Also:
    `IServiceHandler`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.